{% extends TEMPLATE_BASE %}
{% load i18n %}
{% block title %}{{election.name}}{% endblock %}
{% block content %}
<div class="row">
	<div class="col-xs-12 col-md-12">
  <h3 class="title">{{ election.name }}</h3>
  </div>
</div>

<!-- election info -->
<div class="row">
  <div class="col-xs-12 col-md-12">
	{% if settings.SHOW_USER_INFO %} {% trans "created by" %} <u><b>{{election.admin.pretty_name}}</b></u>{% endif %}
	{% if election.is_archived %} {% trans "[archived]" %}{% endif %}
	{% if admin_p %}
		{% if not election.frozen_at %}
		  <a class="btn btn-primary glyphicon glyphicon-edit" title="{% trans "edit" %}" href="{% url "election@edit" election.uuid %}"> {% trans "edit" %}</a>
		{% endif %}
		{% if election.is_archived %}
			<a class="small button btn btn-danger glyphicon glyphicon-briefcase" href="{% url "election@archive" election_uuid=election.uuid %}?archive_p=0">{% trans "unarchive it" %}</a>
		{% else %}
			<a title="{% trans "archive it" %}" class="btn btn-danger glyphicon glyphicon-briefcase" href="{% url "election@archive" election_uuid=election.uuid %}?archive_p=1"> {% trans "archive it" %}</a>
		{% endif %}
		<a title="{% trans "copy" %}" class="btn btn-primary glyphicon glyphicon-export copy_election" href="{% url "election@copy" election_uuid=election.uuid %}"> {%trans "copy" %}</a>
		{% if not election.private_p %}
		<!--	{% if election.featured_p %}
				{% trans "featured on the front page."  %}
				{% if can_feature_p %}
					[<a href="{% url "election@set-featured" election.uuid %}?featured_p=0">{% trans "unfeature it" %}</a>]
				{% endif %}
			{% else %}
				{% trans "is <u>not</u> featured on the front page." %}
				{% if can_feature_p %}
					[<a href="{% url "election@set-featured" election.uuid %}?featured_p=1">{% trans "feature it"%}</a>]
				{% endif %}
                {% endif %} --> <!-- test election featured -->
		{% endif %} <!-- not election.private_p -->
	{% endif %}

  </div>
</div>
<div class="row">
  <div class="col-md-12">
	{% trans "Election URL:" %} <a href="{{election.url}}">{{election.url}}</a>
  </div>
</div>
<div class="row">
  <div class="col-md-12">
      {% trans "Election Fingerprint:" %} <strong><span style="font-size: 12pt;width: 10em; word-wrap: break-word;">{{election.hash}}</span></strong>
  </div>
</div>
<!-- end election info -->
<br />
<!-- eligibility info -->
<div class="row">
  <div class="col-md-12">
	{% if user %}
	  {% if voter %}
		<p style="padding-top:1px;">
		  {% trans  "You are registered to vote in this " %}{{election.pretty_type}}.
		  {% if election.use_voter_aliases %}
			{% trans "Your voter alias is " %}{{voter.alias}}.
		  {% endif %} <!-- election.use_voter_aliases -->
		</p>
	  {% else %} <!-- else if voter -->
		{% if election.result %}
		{% else %}
		  {% if election.openreg %}
			{% if eligible_p %}
			  {% trans "You are eligible to vote in this election." %}
			{% else %}
				{% trans "You are <em>not eligible</em> to vote in this" %} {{election.pretty_type}}.
			{% endif %} <!-- end if eligible_p -->
		  {% else %}
		   {% trans "You are <em>not eligible</em> to vote in this" %} {{election.pretty_type}}.
		<br />
		{% endif %} <!-- end if election.openreg -->
		{% endif %} <!-- end if election.result -->
	  {% endif %} <!-- end if voter -->
	{% else %}
	  {% if election.openreg %}
		{% if election.eligibility %}
		 {% trans "This election is open to:" %} <!--{{election.pretty_eligibility|safe}}-->
		 {% trans "Any user with credentials" %}
		{% else %}
			{% trans "Anyone can vote in this election." %}
		{% endif %} <!-- endif eligibility -->
	  {% endif %} <!-- endif election.openreg -->
	{% endif %} <!-- end if user -->
  </div>
</div>
<!-- end eligibility info -->


<div style="margin-bottom: 25px; ">
	{{election.description_bleached|safe}}
</div>

{% if election.election_info_url %}
	<p style="font-size:1.5em;">[<a target="_blank" href="{{election.election_info_url}}">download candidate bios &amp; statements</a>]</p>
{% endif %}

<div class="col-sm-9 col-sm-offset-3 col-md-10 col-md-offset-2 main">
	<h4 class="page-header">
	<div class="row placeholders">
		<div class="col-xs-6 col-sm-3 placeholder">
			<a class="btn btn-success" href="{% url "election@questions" election.uuid %}">{% trans "questions" %} <span class="badge">{% if election.questions %}{{election.questions|length}}{% else %}0{% endif %}</span></a>
		</div>
		<div class="col-xs-6 col-sm-3 placeholder">
			<a class="btn btn-success" href="{% url "election@voters@list-pretty" election.uuid %}">{% blocktrans %}voters &amp; ballots{% endblocktrans %}</a>
		</div>
		<div class="col-xs-6 col-sm-3 placeholder">
			<a class="btn btn-success" href="{% url "election@trustees@view" election.uuid %}">{% trans "trustees" %} <span class="badge">{{trustees|length}}</span></a>
		</div>
		</div>
	</h4>
</div>
<div class="row">
	<div class="col-md-12">
	<!-- admin only -->

	{% if admin_p %}
		{% if election.frozen_p %}
		<div style="background: lightyellow; padding:5px; padding-left: 10px; margin-top: 15px; border: 1px solid #aaa; width: 720px;" class="round">
			<a href="#" onclick="$('#badgebody').slideToggle(250);">Embed an Election Badge</a>
			<div id="badgebody" style="display:none;">
			<br />
				<form action="#">
					<textarea cols="90" rows="4" wrap="soft">&lt;iframe src="{{election_badge_url}}" frameborder="0" style="border: 1px solid black" height="75" width="200"&gt;
					&lt;/iframe&gt;</textarea><br />
					<p style="font-size:0.8em;">adding this HTML to your site displays a thin banner with direct links to voting.</p>
				</form>
			</div>
		</div>
		{% endif %} <!-- end if election.frozen_P -->
<p>
{% if election.result_released_at %}
<!-- election complete, no next step -->
{% else %} <!-- election not completed -->
	<b>{% trans "Next Step:" %}</b>
	<span>
	{% if not election.frozen_at %}
		{% if election.issues_before_freeze %}
			{% for issue in election.issues_before_freeze %}
				{{issue.action}}{% if forloop.last %}{% else %}, {% trans "and" %}{% endif %}
			{% endfor %}
		{% else %}
			<a href="{% url "election@freeze" election.uuid %}">{% trans "freeze ballot and open election." %}</a>
			<br />
			<br />
			{% if election.voting_starts_at %}
				{% blocktrans  with voting_starts_at=election.voting_starts_at|date:"d/m/Y H:i:s"%} once you do this, the election will be ready for voting and will open automatically<br />
				at {{voting_starts_at}}, as per your settings.
				{% endblocktrans %}
			{% else %}
				{% trans "once you do this, the election will be immediately open for voting." %}
			{% endif %}
		{% endif %} <!-- end  election.issues_before_freeze -->

	{% else %} <!-- election frozen -->

		{% if not election.encrypted_tally %}
			{% if election.tallying_started_at %}
{% blocktrans %}
Tally computation is under way.<br />
Reload this page in a couple of minutes.
{% endblocktrans %}
			{% else %}
				<a href="{% url "election@compute-tally" election.uuid %}">
{%blocktrans %}
compute encrypted tally</a><br />
The encrypted votes will be combined into an encrypted tally. Once this is done,<br />
trustees will be asked to provide their share of the decryption.
{% endblocktrans %}
			{% endif %}
		{% else %}

			{% if election.result %}
				<a href="{% url "election@release-result" election.uuid %}">{% trans "release result" %}</a><br />
{% blocktrans %}
The result displayed below is visible only to you.<br />
Once you release the result, it will be visible to everyone.
{% endblocktrans %}
			{% else %}
				{% if election.ready_for_decryption_combination %}
					<a href="{% url "election@combine-decryptions" election.uuid %}">
					{% if election.num_trustees == 1 %}
						{% trans "compute results" %}
					{% else %}
						{% trans "combine trustee decryptions and compute results" %}
					{% endif %}
					</a><br />
					{% if election.num_trustees == 1 %}
						{% trans "The result will be computed and shown to you, the administrator, only." %}
					{% else %}
{% blocktrans %}
The decryption shares from the trustees will be combined and the tally computed.<br />
Once you do this, the tally will visible to you, the administrator, only.
{% endblocktrans %}
					{% endif %}
				{% else %}<!-- election not ready for decryption combination -->
					<a href="{% url "election@trustees@view" election.uuid %}">{% trans "trustees (for decryption)" %}</a>
				{% endif %}
			{% endif %}
		{% endif %}
	{% endif %}
	</span>
{% endif %} <!-- end election not completed -->
</p>
{% endif %}
<!-- end admin only -->
<br />

{% if show_result %}
	{% if election.result_released_at %}
		<span class="highlight-box round">
		{% trans "This election is complete." %}
		</span><br /><br /><br />
	{% endif %}

	<h3 class="highlight-box">{% trans "Tally" %}</h3>
	{% for question in election.pretty_result %}
		<b><span style="font-size:0.8em;">{% trans "Question" %} #{{forloop.counter}}</span><br />{{question.question}}</b><br />
		<table class="pretty" style="width: auto;">
		{% for answer in question.answers %}
		<tr><td style="padding-right:80px;">{{answer.answer}}</td><td align="right">{{answer.count}}</td></tr>
		{% endfor %}
		<br>
		</table>
		<br>
	{% endfor %}
{% else %}
	{% if election.voting_has_stopped %}
		<span class="highlight-box round">
		{% trans "Election closed. Results will be released soon." %}
		</span><br /><br />
	{% else %}

		{% if election.voting_has_started %}
			{% if eligible_p %}
				<a class="btn btn-lg btn-success" role="button" href="{{test_cookie_url}}">{% trans "Vote in this" %} {{election.pretty_type}} </a>
			{% endif %}
			<br />
			{% if election.private_p and voter %}
				<br />
{% blocktrans %}
This election is <em>private</em>. You are signed in as eligible voter:  <em>{{ voter }}</em>.
{% endblocktrans %}
			{% endif %}
            <br>
			<div class="highlight-box round" style="font-size: 1.2em; margin-right: 400px; display:none;" id="nojava_message">
{% blocktrans %}
You do not have Java installed in your browser.<br />At this time, Helios requires Java.<br />
Visit <a target="_new" href="http://java.sun.com">java.sun.com</a> to install it.
{% endblocktrans %}
			</div>
			<br />
		{% else %}
			{% if eligible_p %}
			<span class="highlight-box round">
	  			{% trans "voting is not yet open" %}
				</span> <br /><br />
			{% endif %}
		{% endif %}
	{% endif %}
{% endif %}
</div>
</div>

<div class="row">
	<div class="col-md-12">
	{% if election.voting_has_stopped %}
		<p style="font-size: 1.2em;">
			{% if election.result %}
			{% trans "verify" %} <a target="_blank" href="/verifier/verify.html?election_url={% url "election@home" election.uuid %}">{% trans "election tally" %}</a>.
			{% endif %}
			{% trans "review the" %} <a href="{{vote_url}}">{% trans "voting booth" %}</a> ({% trans "review purposes only" %}).
		</p>
	{% endif %}
	</div>
</div>

<div class="row ">
	<div class="col-xs-8 col-md-6">
		<div class="panel panel-info">
		  <div class="panel-heading">
			  <i class="glyphicon glyphicon-calendar"></i>
			  {% trans "Election scheduling info" %}
		  </div>
		  <div class="panel-body">
			  {% if election.voting_starts_at %}
				  {% blocktrans  with voting_starts_at=election.voting_starts_at|date:"d/m/Y H:i"%}
					  Election begin: {{voting_starts_at}}
				  {% endblocktrans %}
			  {% endif %}
			  <br>
			  {% if election.voting_ends_at %}
				  {% blocktrans  with voting_starts_at=election.voting_ends_at|date:"d/m/Y H:i"%}
					  Election end: {{voting_starts_at}}
					  {% endblocktrans %}
			  {% else %}
				  {% trans "This {{election.election_type}} ends at the administrator's discretion." %}
			  {% endif %}
			  <br>
			  {% if election.voting_extended_until %}
			  {% blocktrans with pretty_type=election.pretty_type|title voting_ends_at=election.voting_ends_at|date:"d/m/Y H:i"  voting_extended_until=election.voting_extended_until|date:"d/m/Y H:i" %}
				  This {{pretty_type}} was initially scheduled to end at {{voting_ends_at}}, but has been extended until {{ voting_extended_until }}.
			  {% endblocktrans %}
			  {% endif %}
			  <br>
			  {% if admin_p and election.voting_ends_at and not election.tallying_started_at %}
				  <a href="{% url "election@extend" election.uuid %}">{% trans "extend voting" %}</a><br />
			  {% endif %}
		  </div>
		</div>
	</div>
</div>

<br>

{% if election.use_advanced_audit_features %}
<div class="row well">
	<div class="col-xs-12 col-md-12">
		<a href="#" onclick="$('#auditbody').slideToggle(250);">{% trans "Audit Info" %}</a>
		<div id="auditbody" style="display:none;">
			<br />{% trans "Election URL:" %}<br />
			<tt style="font-size: 1.2em;"><a href="{{election.url}}">{{election.url}}</a></tt>

			{% if election.frozen_at %}
				<br />
				<br />{% trans "Election Fingerprint:" %}<br />
				<tt style="font-size: 1.3em; font-weight: bold;">{{election.hash}}</tt>
				{% if votes %}
					<p>{% trans "Your smart ballot tracker:" %} <br />
					<tt style="font-size:14pt; font-weight: bold;">{{votes.0.vote_hash}}</tt>
					</p>
				{% endif %}
				<p style="font-size: 1.3em;">
					<a href="{% url "election@voters@list-pretty" election.uuid %}">{% trans "Ballot Tracking Center" %}</a> &nbsp;| &nbsp;
					<a href="{% url "election@audited-ballots" election.uuid %}">{% trans "Audited Ballots" %}</a>
				</p>
			{% endif %}
			{% if not election.voting_has_started and admin_p %}
				<p style="font-size: 1.2em;">
					<a href="{{SECURE_URL_HOST}}/booth/vote.html?election_url={% url "election@home" election.uuid %}">{% trans "preview booth" %} </a>
				</p>
			{% endif %}
			{% if election.voting_has_stopped %}
				<p style="font-size: 1.2em;">
					{% if election.result %}
						{% trans "verify" %} <a target="_blank" href="/verifier/verify.html?election_url={% url "election@home" election.uuid %}">{% trans "election tally" %}</a>.
			  		{% endif %}
{% blocktrans %}
review the <a href="{{vote_url}}">voting booth</a>.
{% endblocktrans %}
				</p>
			{% endif %}
		</div>
	</div>
</div> <!-- end audit info -->
{% endif %}
{% endblock %}
